Imbalance of Difficulty level in January Challenge 2018

@vijju123 I didn’t use any DPs, and I solved 7 :stuck_out_tongue: (I solved the first 5 at the beginning, so I don’t quite remember them, but that is some really is DP if it is DP)

However i think this was one of the best longs considering the questions(dp,binary search,suffix tree) (especially monster).

This is my opinion.

5 Likes

Why aren’t the ratings updated yet?

Thats cool! For monster I was just stuck on how to update and what to do- no data structure directly supported it and yeah, I didnt went over in direction of SOS dp.

For humongous, man, meet in the middle and everything was quite clear, but I couldnt frame an expression to find “X” (number of humongous strings in a string) and that was bad. Real bad :frowning: .

Well, more questions to push into the upsolver-stack XD

i said unbalance was unfair. But I think 1 or 2 questions having trivial brute is okay (only if newcomers learn). Yes, in this contest, there was nothing much to learn from brute forces. I’m talking about long contests in general (from the past where there were nice subtasks).

Well, since the last line of your question asked for suggestions, I gave mine. Didn’t mean to offend anyone.

If you think that's not "Giving my best", you can think so

@shubhiks shouldn’t have asked for suggestions if you can’t digest others point of view lol

2 Likes

Actually I asked for suggestions on how to handle this imbalance (not on whether I should attempt them or not),so strictly speaking yours wasn’t a suggestion; further I never said I would be able to digest your suggestion, it ain’t food after all! (:

3 Likes
"I dont know full solution, I can get brute force points but I dont want to write brute force" then it seems weird considering that one wants to do his best in a contest.

I strongly agree with @vijju123 's point up there :stuck_out_tongue:

3 Likes

Hello everyone,

Being the setter of XYHUMOQ, I personally believe that above all reasons for having brute force sub-tasks, I would like to go with the one that’s left unnoticed in this whole conversation.

Long challenges are made to teach the participants the patience to tackle with enormous WAs or TLEs before getting that final AC which in turn makes him/her mature.

There is no doubt in the fact that brute force sub-tasks are set for beginners for them to at least get the gist of the question by solving for them on their first encounter.

But, the small or brute force sub-tasks help in a really different way.

It can help even the best programmers out there to firstly confirm that they went in the right direction and somehow the code needs optimisation for larger sub-tasks.

But, moreover, it can help you to partially verify the code that you have crafted for the larger sub-tasks. One can easily check the new code that he/she has developed by the help of the smaller sub-task because you know, you have the right solution for that and you can easily verify the new code by matching the intended outputs for the smaller sub-tasks.
By this you will at least know where the bug is if you by chance encounter one.
And personally, I myself have used this in many questions to find my fault. The most recent I remember is SMARKET from APRIL17.

And that for XYHUMOQ, the 15 point task was not that easy for first timers, it involved a good use of DP to calculate the answer for each possible string. And, since it had the X<=1000, one could have easily verified the solution for the larger task by running the code over manually created sub-tasks with X<=1000 and find the bug.

I hope I cleared the point.

Happy Bug Finding !!!

>_<

8 Likes

What you said is true. But again, there are cases where the smaller sub tasks are weak and that one cannot rely on them (Problem 4 of this long itself is an example). Ultimately one needs to try be capable to give proof of correctness of his algorithm, we cannot rely on setter for anything. (Who knows, he might be an evil one :3 )

But aside from that, I agree with what you said. :slight_smile:

@vijju123 After reading after it, turns out my monster solution is basically SOS DP, or at least uses the same idea. I’m not too good at judging whether a solution should be called DP or not. It feels pretty cool though to reinvent this :stuck_out_tongue:

Hahaha…
Yes, you are right totally, we cannot say what setter has in his mind. Sometimes, Maybe that practice might make the problem tougher and interesting in its own way, we cannot say.

Btw, don’t worry, I took care of the intricacies in the small sub-task too :stuck_out_tongue: :smiley:

1 Like

The team might be going through the plags or some other issue might have popped in.

If someone really cares for his rank he will definitely go through whole set.
If someone does something, then he definitely deserves better than one, who is lazy to do anything in 10 days.
Like 6 points this long or say 4 points in May’17 long, each point is earned.

4 Likes

YES,i totally agree with @dhirajfx3 @vijju123 on earning points by doing subtasks.
it has following benifits…
1–> Better utilisation of time.
2–> keeping the hope alive for a tough one,
3–> subtasks motivate’s the new comers as well to fight for best.
4–> it keeps u in touch of the hard problem and motivate u to effort more.
5–> sometimes subtasks can teach u some usefull tricks,
for example XYHUMOQ problem , it has a very good subtasks of 15 points(not so simple at all…very few was able to find the way to count number of humangous subsequences.
but i would still say that this contest was having unbalanced problems,but having subtasks is not an issue.

2 Likes

I feel that in Long Challenges your Rank might not be that important, as people with same marks are being ranked same. Here, I think you’re given a chance to think on each problem and as said by @include_sajal.

These contest are really helpful for newbies as they get enough time to fight on the problem.

One thing more I want to add that those who are very good programmers need not to worry about their rank in this contest, as they are stars in contest of short duration.

2 Likes

“But, the small or brute force sub-tasks help in a really different way.
It can help even the best programmers out there to firstly confirm that they went in the right direction and somehow the code needs optimisation for larger sub-tasks.”

@include_sajal - You were spot on! In fact, in XYHUMOQ itself, solving the first subtask correctly helped me to be sure of my calculation for the no. of humongous subs. in the string. I’m not saying its impossible to do it manually, but we always trust that Green Tick more than ourselves, don’t we :smiley:

4 Likes

This long, i felt like after seeing the problems, that problem MONSTER, KILLKTH and XYHUMOQ were of almost same difficulty level - the difficulty level you would expect for 7.5th problem (harder than usual 7th, but not upto 8th). And yes, there was a huge difficulty gap between 5th and 6th gap.

But the thing that surprised me most was the results of challenge problem. Apart from 3 users getting 100 points and 1 user getting 66.67 points, no other user even crossed 10 points.

I would voice that the presence of brute force partials is favorable, therefore, should not be removed.

4 Likes

i agree with @taran_1407 … if any one cares so much about his rank then he should solve all 10 problems and must secure 100 points in challenge problem
what about those who are new and just trying to learn…
according to @shubhiks question 1 of codechef should start with square root decomposition and further questions should be like even gennady will find it difficult to solve…
kabhi doosron ka bhi soocho bhai

3 Likes

Lol! This made my day xD

3 Likes